package net.java.dev.fwutil.pf.ui.menu;

import java.awt.event.ActionListener;

import javax.swing.JMenuItem;

import net.java.dev.fwutil.gui.BMFile;
import net.java.dev.fwutil.pf.ui.BrowsePanel;
import net.java.dev.fwutil.pf.ui.MainWindow;

public class MFile extends BMFile implements ActionListener {

	private static final long serialVersionUID = 6110242369587664493L;
	
	MFile(MainWindow mainWindow, BrowsePanel browsePanel) {
		super(mainWindow);
		addMenuItems(browsePanel);
	}
	
	public void addMenuItems() {}
	
	public void addMenuItems(BrowsePanel browsePanel) {

		MFileActions baction = new MFileActions(browsePanel.getTable());
		add(new JMenuItem(baction.getAction(MFileActions.Type.OpenFile)));
		add(new JMenuItem(baction.getAction(MFileActions.Type.EditFile)));
		add(new JMenuItem(baction.getAction(MFileActions.Type.OpenCustom1)));
		add(new JMenuItem(baction.getAction(MFileActions.Type.OpenCustom2)));
		add(new JMenuItem(baction.getAction(MFileActions.Type.OpenShell)));
		addSeparator();
		super.addMenuItems();
	}
}
