package nl.intercommit.mario.tools;

import java.io.Serializable;
import java.util.Date;
import java.util.UUID;

public class ExampleMsgObject implements Serializable {
	
	private static final long serialVersionUID = 394246496601345812L;
	private String uuid = null;
	private String text = null;
	
	public ExampleMsgObject() {
		super();
	}
	
	public void generateValues() {
		setUuid(UUID.randomUUID().toString());
		setText("Message created at " + new Date());
	}
	
	public String getUuid() {
		return uuid;
	}
	public void setUuid(String uuid) {
		this.uuid = uuid;
	}

	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}
}
