package nl.intercommit.mario.tools.jbossmon;

import java.awt.Container;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.naming.InitialContext;
import javax.swing.WindowConstants;

import net.java.dev.fwutil.WindowDimension;
import net.java.dev.hvlayout.FormUI;

public class JbServerMonDummy extends JbServerMon {

	private static final long serialVersionUID = -6622781547208825079L;

	public JbServerMonDummy(final InitialContext ic, final String serverName) {
		super(serverName);
		setDefaultCloseOperation(WindowConstants.DO_NOTHING_ON_CLOSE);
		addWindowListener(new WindowAdapter() {
			public void windowClosing(final WindowEvent e) {
				dispose();
			}
		});
		serverURL = serverName;
		Container mainPanel = getContentPane();
		mainPanel.add(FormUI.getLabel(serverName + " dummy label", 0));
		pack();
		WindowDimension.positionAtMiddleOfScreen(this);
	}

	public void setStatus(final String statusInfo) {
		//		status.setText(statusInfo);
	}


}
